// Code generated by MockGen. DO NOT EDIT.
// Source: ./authtoken_usecase.go

// Package mock is a generated GoMock package.
package mock

import (
	applinkprocess "applinkprocess"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockAuthTokenRepository is a mock of AuthTokenRepository interface.
type MockAuthTokenRepository struct {
	ctrl     *gomock.Controller
	recorder *MockAuthTokenRepositoryMockRecorder
}

// MockAuthTokenRepositoryMockRecorder is the mock recorder for MockAuthTokenRepository.
type MockAuthTokenRepositoryMockRecorder struct {
	mock *MockAuthTokenRepository
}

// NewMockAuthTokenRepository creates a new mock instance.
func NewMockAuthTokenRepository(ctrl *gomock.Controller) *MockAuthTokenRepository {
	mock := &MockAuthTokenRepository{ctrl: ctrl}
	mock.recorder = &MockAuthTokenRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockAuthTokenRepository) EXPECT() *MockAuthTokenRepositoryMockRecorder {
	return m.recorder
}

// AddBSNToAuthToken mocks base method.
func (m *MockAuthTokenRepository) AddBSNToAuthToken(authToken string, bsn *applinkprocess.BSN) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddBSNToAuthToken", authToken, bsn)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddBSNToAuthToken indicates an expected call of AddBSNToAuthToken.
func (mr *MockAuthTokenRepositoryMockRecorder) AddBSNToAuthToken(authToken, bsn interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddBSNToAuthToken", reflect.TypeOf((*MockAuthTokenRepository)(nil).AddBSNToAuthToken), authToken, bsn)
}

// DoesAuthTokenExist mocks base method.
func (m *MockAuthTokenRepository) DoesAuthTokenExist(authToken string) (bool, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DoesAuthTokenExist", authToken)
	ret0, _ := ret[0].(bool)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// DoesAuthTokenExist indicates an expected call of DoesAuthTokenExist.
func (mr *MockAuthTokenRepositoryMockRecorder) DoesAuthTokenExist(authToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DoesAuthTokenExist", reflect.TypeOf((*MockAuthTokenRepository)(nil).DoesAuthTokenExist), authToken)
}
